org.vishia.guiBzr

## Class MainData

- java.lang.Object
- - org.vishia.guiBzr.MainData

-     public class MainData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) DataConfig` | `cfg`
    `(package private) CmdExecuter` | `cmdExec`
    `(package private) DataCmpn` | `currCmpn` The current selected component.
    `(package private) DataProject` | `currPrj` The current selected software project.
    `(package private) GralTableLine_ifc` | `currTableline` The current selected line.
    `(package private) java.text.DateFormat` | `dateFormatShowingFull`
    `(package private) java.text.DateFormat` | `dateFormatShowingHour`
    `(package private) BzrGetStatus` | `getterStatus`
    `(package private) GralArea9_ifc` | `guifc`
    `(package private) GralTextBox` | `infoBox`
    `(package private) GralTextField` | `infoLine`
    `(package private) GralWindow_ifc` | `infoWindow`
    `(package private) MainAction` | `mainAction`
    `(package private) MainCmd_ifc` | `mainCmdifc`
    `private java.util.concurrent.ConcurrentLinkedQueue<java.lang.Runnable>` | `ordersBackground` Only one command invocation should be active in one time.
    `(package private) GralMng_ifc` | `panelAccess`
    `(package private) BzrGui` | `panels` Access to all panels of this application.
    `(package private) DataCmpn` | `selectedCmpn` Data of the currently selected component.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainData(MainCmd_ifc mainCmd, BzrGui panels)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addOrderBackground(java.lang.Runnable order)`
    `(package private) java.lang.Runnable` | `awaitOrderBackground(int timeout)` Gets a order.
    `(package private) java.lang.String` | `formatTimestampYesterday(long date)` Formats the given date into a String using 'yesterday' and 'today' if possible

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mainCmdifc

          final MainCmd_ifc mainCmdifc

    - #### cmdExec

          final CmdExecuter cmdExec

    - #### panels

          final BzrGui panels

      Access to all panels of this application.

    - #### mainAction

          MainAction mainAction

    - #### panelAccess

          GralMng_ifc panelAccess

    - #### guifc

          GralArea9_ifc guifc

    - #### cfg

          final DataConfig cfg

    - #### currPrj

          DataProject currPrj

      The current selected software project.

    - #### currCmpn

          DataCmpn currCmpn

      The current selected component.

    - #### currTableline

          GralTableLine_ifc currTableline

      The current selected line.

    - #### getterStatus

          final BzrGetStatus getterStatus

    - #### dateFormatShowingFull

          final java.text.DateFormat dateFormatShowingFull

    - #### dateFormatShowingHour

          final java.text.DateFormat dateFormatShowingHour

    - #### ordersBackground

          private final java.util.concurrent.ConcurrentLinkedQueue<java.lang.Runnable> ordersBackground

      Only one command invocation should be active in one time.

    - #### selectedCmpn

          DataCmpn selectedCmpn

      Data of the currently selected component.

    - #### infoWindow

          GralWindow_ifc infoWindow

    - #### infoBox

          GralTextBox infoBox

    - #### infoLine

          GralTextField infoLine

  - ### Constructor Detail

    - #### MainData

          MainData(MainCmd_ifc mainCmd,
                   BzrGui panels)

  - ### Method Detail

    - #### addOrderBackground

          void addOrderBackground(java.lang.Runnable order)

    - #### awaitOrderBackground

          java.lang.Runnable awaitOrderBackground(int timeout)

      Gets a order. Waits a defined time, then returns also if no order is given.
      Returns:

    - #### formatTimestampYesterday

          java.lang.String formatTimestampYesterday(long date)

      Formats the given date into a String using 'yesterday' and 'today' if possible
      Parameters:
        `date` -
      Returns: